Spectre and Meltdown Security Vulnerabilities Update

By Marcus Spectre, Meltdown, Security Read Comments

If you've been following the recent news, you might have heard about two major security vulnerabilities that had been revealed to general public on the first days of 2018. Spectre and Meltdown are possibly the biggest vulnerabilities ever discovered that affect billions of devices with modern CPUs with speculative execution on board.

Even though these severe vulnerabilities are determined by CPU logic design flaws, they still can be mitigated by software patches that make its exploitation impossible. CoinsHOST have installed and tested all the latest patches and fixes available for every piece of hardware on our network that may be affected by Spectre and Meltdown, including Cloud Hosting and Virtual Private Server infrastructure and hypervisors. If you rent a VPS or Cloud server with our company, your data is absolutely secure and no action is required on your side.

 

Dedicated Server Owners Attention Needed

Please be advised that you still need to update your dedicated servers' operating systems on your own, as long as our engineers do not have access to your bare metal servers. If you experience any issues while updating your server's operating system, please contact our dedicated support team for assistance. 

Your personal devices, such as phones, laptops and even TV boxes can also be affected by these vulnerabilities and may require software update to the latest OS build available.

Stay safe and secure!


Read More